%define upstream_name    Math-MagicSquare-Generator
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Magic Square Generator
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This module creates magic squares. A magic square is a square in which all
numbers are different and the sums of all rows, all columns and the two
diagonals are equal. Math::MagicSquare::Generator cannot create panmagic
squares, or squares that have an even size. (A panmagic square is magic
square where the "wrapped" diagonals are also equal.)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-7.mga6
+ Revision: 1029670
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.10.0-6.mga6
+ Revision: 938862
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-5.mga5
+ Revision: 742452
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 685366
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 369613
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 24 2012 shlomif <shlomif> 0.10.0-1.mga3
+ Revision: 263276
- imported package perl-Math-MagicSquare-Generator


* Sun Jun 24 2012 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
